#297 open
Deleted User

Can't install on windows.

Reported by Deleted User | May 5th, 2009 @ 03:42 PM

While trying to follow instructions with installation it breaks at some point and dont't want to move any further.

Process: rails advacmstest -d mysql -m http://github.com/svenfuchs/adva...


    applying  template: http://github.com/svenfuchs/adva_cms/raw/master/templates/adva-cms.master.rb
        file  script/test-adva-cms
     running  git clone git://github.com/svenfuchs/adva_cms.git vendor/adva # this might take a bit, grab a coffee meanwhile :)
Checking out files: 100% (2780/2780), done.
        rake  adva:install:core -R vendor/adva/engines/adva_cms/lib/tasks
rake aborted!
Don't know how to build task 'adva:install:core'

(See full trace by running task with --trace)

Thanks for installing adva-cms!

We've performed the following tasks:

* created a fresh Rails app
* cloned adva-cms to vendor/adva
* installed adva-cms' core engines to vendor/plugins
* installed adva-cms' images, javascripts, stylesheets to public/

You can now do:

cd advacmstest
ruby script/server
open http://localhost:3000

You should see adva-cms installation screen.
Fill out the form and you're started, enjoy!

     applied  http://github.com/svenfuchs/adva_cms/raw/master/templates/adva-cms.master.rb

And at this point I went to application direcotry and tried: rake adva:install:core -R vendor/adva/engines/adva_cms/lib/tasks

result:


(in D:/workspace/advacmstest)
rake aborted!
Don't know how to build task 'adva:install:core'
D:/work/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1704:in `[]'
D:/work/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2026:in `invoke_task'
D:/work/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2005:in `top_level'
D:/work/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2005:in `each'
D:/work/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2005:in `top_level'
D:/work/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2044:in `standard_exception_handling'
D:/work/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1999:in `top_level'
D:/work/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1977:in `run'
D:/work/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:2044:in `standard_exception_handling'
D:/work/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/lib/rake.rb:1974:in `run'
D:/work/ruby/lib/ruby/gems/1.8/gems/rake-0.8.4/bin/rake:31
D:/work/ruby/bin/rake:16:in `load'
D:/work/ruby/bin/rake:16

I've got: Ruby: 1.8.7 Rails: 2.3.2 Gem: 1.3.2

Any suggestions?

Comments and changes to this ticket

Please Sign in or create a free account to add a new ticket.

With your very own profile, you can contribute to projects, track your activity, watch tickets, receive and update tickets through your email and much more.

New-ticket Create new ticket

Create your profile

Help contribute to this project by taking a few moments to create your personal profile. Create your profile »

<p>Cutting edge cms, blog, wiki, forum ... plattform.</p>

<p>Find the code on <a href="http://github.com/svenfuchs/adva_cms/tree/master">GitHub: adva cms</a></p>

<p>Part of the business application framework <a href="http://www.advabest.org/">adva best</a>.</p>

People watching this ticket

Referenced by

Pages